import java.awt.*;
import java.awt.event.*;

public class Janela extends Frame {
	final int		NLINHAS = 18;		// n linhas 2 painel (painel1)
	Panel			painel,
					painel1;
	Label			[]lequipa = new Label[Toto.NEQUIMAX*4];
	Label			[]lresult = new Label[NLINHAS*3];
	MenuBar			mBar = new MenuBar();
	Menu			mLiga = new Menu("Liga"),
					mDados = new Menu("Dados");
	static MenuItem	mLiga1, mLiga2, mLiga3, mDados1, mDados2;
	static Button	bcorre, bpara;
	int				n;
	ActionListener	listenNovo = new ListenerNovo();
	ActionListener	listenJogos = new ListenerJogos();
	ActionListener	listenResultados = new ListenerResultados();
	
	public Janela() {
		enableEvents(AWTEvent.WINDOW_EVENT_MASK);
		try {
			init();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void init() throws Exception {
		setTitle("Totobola...");
		setBackground(Color.orange);
		setBounds(40, 50, 600, 400);
		setLayout(new GridLayout(1, 2));

		mLiga1 = new MenuItem("Novo...");
		mLiga2 = new MenuItem("Abrir...");
		mLiga3 = new MenuItem("Sair");
		mDados1 = new MenuItem("Jogos...");
		mDados2 = new MenuItem("Resultados...");
		mLiga.add(mLiga1);
		mLiga.add(mLiga2);
		mLiga.add(new MenuItem("-"));
		mLiga.add(mLiga3);
		mDados.add(mDados1);
		mDados.add(mDados2);
		mBar.add(mLiga);
		mBar.add(mDados);
		setMenuBar(mBar);

		bcorre  = new Button("Corre");
		bcorre.setBackground(Color.green);
		bpara   = new Button("Pra");
		bpara.setBackground(Color.red);
		
		// cria os Listener's para os menus e botes
		ActionListener listenLiga = new ListenerLiga();
		mLiga1.addActionListener(listenLiga);
		mLiga2.addActionListener(listenLiga);
		mLiga3.addActionListener(listenLiga);
		mDados1.addActionListener(listenLiga);
		mDados2.addActionListener(listenLiga);
		bcorre.addActionListener(listenLiga);
		bpara.addActionListener(listenLiga);
		JanelaEquipas.bok.addActionListener(listenNovo);
		JanelaEquipas.bcancel.addActionListener(listenNovo);
		JanelaNovo.bok.addActionListener(listenNovo);
		JanelaNovo.bcancel.addActionListener(listenNovo);
		JanelaJogos.bok.addActionListener(listenJogos);
		JanelaJogos.bcancel.addActionListener(listenJogos);
		JanelaResultados.bok.addActionListener(listenResultados);
		JanelaResultados.bcancel.addActionListener(listenResultados);
		
		painel = new Panel(new GridLayout(Toto.nEquipas, 4));
		painel1 = new Panel(new GridLayout(NLINHAS, 3));
		for (n=0; n<Toto.nEquipas*4; n++) {
			lequipa[n] = new Label();
			painel.add(lequipa[n]);
		}
		for (n=0; n<NLINHAS*3; n++) {
			if (n == 15) {
				painel1.add(bcorre);
				continue;
			}
			if (n == 17) {
				painel1.add(bpara);
				continue;
			}
			lresult[n] = new Label();
			painel1.add(lresult[n]);
		}
		lresult[0].setText("Gerao:");
		lresult[3].setText("Mrito /Total:");
		lresult[6].setFont(new Font("SansSerif", Font.BOLD, 12));
		lresult[6].setText("% Mrito:");
		lresult[7].setFont(new Font("SansSerif", Font.BOLD, 12));
		lresult[9].setText("Margem empate:");

		add(painel);
		add(painel1);
	}
	
	protected void processWindowEvent(WindowEvent e) {
		super.processWindowEvent(e);
		if (e.getID() == WindowEvent.WINDOW_CLOSING) {
			System.exit(0);
		}
	}
	
	public void mostraEquipa(String s, int n) {
		lequipa[n].setText(s);
	}

	public void mostraResult(String s, int n) {
		lresult[n].setText(s);
	}
}
